<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>MetadataDAO xref</title>
<link type="text/css" rel="stylesheet" href="../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../apidocs/model/dao/MetadataDAO.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_comment"> * </em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">package</strong> model.dao;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> java.sql.ResultSet;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <strong class="jxr_keyword">import</strong> java.sql.SQLException;
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_comment">// TODO: Auto-generated Javadoc</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> * The Class MetadataDAO.</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">abstract</strong> <strong class="jxr_keyword">class</strong> <a href="../../model/dao/MetadataDAO.html">MetadataDAO</a> <strong class="jxr_keyword">extends</strong> <a href="../../model/dao/AbstractDAO.html">AbstractDAO</a> {
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  	<em class="jxr_javadoccomment">/** The sql map metadata height. */</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> String sqlMapMetadataHeight = <span class="jxr_string">"{call findMapMetadataHeight(?)}"</span>;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  	<em class="jxr_javadoccomment">/** The sql map metadata width. */</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> String sqlMapMetadataWidth = <span class="jxr_string">"{call findMapMetadataWidth(?)}"</span>;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  	<em class="jxr_javadoccomment">/** The sql map metadata diamonds needed. */</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> String sqlMapMetadataDiamondsNeeded = <span class="jxr_string">"{call findMapMetadataDiamondsNeeded(?)}"</span>;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  	<em class="jxr_javadoccomment">/** The sql map metadata door X. */</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> String sqlMapMetadataDoorX = <span class="jxr_string">"{call findMapMetadataDoorX(?)}"</span>;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  	<em class="jxr_javadoccomment">/** The sql map metadata door Y. */</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> String sqlMapMetadataDoorY = <span class="jxr_string">"{call findMapMetadataDoorY(?)}"</span>;
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment">	 * Gets the map metadata height.</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <em class="jxr_javadoccomment">	 * @param idLevel the id level</em>
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <em class="jxr_javadoccomment">	 * @return the map metadata height</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <em class="jxr_javadoccomment">	 * @throws SQLException the SQL exception</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">int</strong> getMapMetadataHeight(<strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> idLevel) <strong class="jxr_keyword">throws</strong> SQLException {
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  		<strong class="jxr_keyword">final</strong> java.sql.CallableStatement callStatement = AbstractDAO.prepareCall(MetadataDAO.sqlMapMetadataHeight);
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  		<strong class="jxr_keyword">int</strong> height = 0;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  		callStatement.setInt(1, idLevel);
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  		<strong class="jxr_keyword">if</strong> (callStatement.execute()) {
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  			<strong class="jxr_keyword">final</strong> ResultSet result = callStatement.getResultSet();
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  			<strong class="jxr_keyword">if</strong> (result.next()) {
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  				<strong class="jxr_keyword">if</strong> (result.first()) {
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  					height = result.getInt(1);
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  				}
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  			}
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  			result.close();
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  		}
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  		<strong class="jxr_keyword">return</strong> height;
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  	}
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_javadoccomment">	 * Gets the map metadata width.</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 * @param idLevel the id level</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment">	 * @return the map metadata width</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_javadoccomment">	 * @throws SQLException the SQL exception</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">int</strong> getMapMetadataWidth(<strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> idLevel) <strong class="jxr_keyword">throws</strong> SQLException {
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  		<strong class="jxr_keyword">final</strong> java.sql.CallableStatement callStatement = AbstractDAO.prepareCall(MetadataDAO.sqlMapMetadataWidth);
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  		<strong class="jxr_keyword">int</strong> width = 0;
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  		callStatement.setInt(1, idLevel);
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  		<strong class="jxr_keyword">if</strong> (callStatement.execute()) {
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  			<strong class="jxr_keyword">final</strong> ResultSet result = callStatement.getResultSet();
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  			<strong class="jxr_keyword">if</strong> (result.next()) {
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  				<strong class="jxr_keyword">if</strong> (result.first()) {
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  					width = result.getInt(1);
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  				}
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  			}
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  			result.close();
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  		}
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  		<strong class="jxr_keyword">return</strong> width;
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  	}
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  <em class="jxr_javadoccomment">	 * Gets the map metadata score need.</em>
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment">	 * @param idLevel the id level</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  <em class="jxr_javadoccomment">	 * @return the map metadata score need</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 * @throws SQLException the SQL exception</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">int</strong> getMapMetadataScoreNeed(<strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> idLevel) <strong class="jxr_keyword">throws</strong> SQLException {
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  		<strong class="jxr_keyword">final</strong> java.sql.CallableStatement callStatement = AbstractDAO.prepareCall(MetadataDAO.sqlMapMetadataDiamondsNeeded);
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  		<strong class="jxr_keyword">int</strong> diamondsNeeded = 0;
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  		callStatement.setInt(1, idLevel);
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  		<strong class="jxr_keyword">if</strong> (callStatement.execute()) {
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  			<strong class="jxr_keyword">final</strong> ResultSet result = callStatement.getResultSet();
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  			<strong class="jxr_keyword">if</strong> (result.next()) {
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  				<strong class="jxr_keyword">if</strong> (result.first()) {
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  					diamondsNeeded = result.getInt(1);
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  				}
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  			}
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  			result.close();
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  		}
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  		<strong class="jxr_keyword">return</strong> diamondsNeeded;
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  	}
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 * Gets the map metadata door X.</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> <em class="jxr_javadoccomment">	 * @param idLevel the id level</em>
<a class="jxr_linenumber" name="L103" href="#L103">103</a> <em class="jxr_javadoccomment">	 * @return the map metadata door X</em>
<a class="jxr_linenumber" name="L104" href="#L104">104</a> <em class="jxr_javadoccomment">	 * @throws SQLException the SQL exception</em>
<a class="jxr_linenumber" name="L105" href="#L105">105</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">int</strong> getMapMetadataDoorX(<strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> idLevel) <strong class="jxr_keyword">throws</strong> SQLException {
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 		<strong class="jxr_keyword">final</strong> java.sql.CallableStatement callStatement = AbstractDAO.prepareCall(MetadataDAO.sqlMapMetadataDoorX);
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 		<strong class="jxr_keyword">int</strong> doorX = 0;
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 		callStatement.setInt(1, idLevel);
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 		<strong class="jxr_keyword">if</strong> (callStatement.execute()) {
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 			<strong class="jxr_keyword">final</strong> ResultSet result = callStatement.getResultSet();
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 			<strong class="jxr_keyword">if</strong> (result.next()) {
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 				<strong class="jxr_keyword">if</strong> (result.first()) {
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 					doorX = result.getInt(1);
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 				}
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 			}
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 			result.close();
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 		}
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 		<strong class="jxr_keyword">return</strong> doorX;
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 	}
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <em class="jxr_javadoccomment">	 * Gets the map metadata door Y.</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L125" href="#L125">125</a> <em class="jxr_javadoccomment">	 * @param idLevel the id level</em>
<a class="jxr_linenumber" name="L126" href="#L126">126</a> <em class="jxr_javadoccomment">	 * @return the map metadata door Y</em>
<a class="jxr_linenumber" name="L127" href="#L127">127</a> <em class="jxr_javadoccomment">	 * @throws SQLException the SQL exception</em>
<a class="jxr_linenumber" name="L128" href="#L128">128</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">int</strong> getMapMetadataDoorY(<strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">int</strong> idLevel) <strong class="jxr_keyword">throws</strong> SQLException {
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 		<strong class="jxr_keyword">final</strong> java.sql.CallableStatement callStatement = AbstractDAO.prepareCall(MetadataDAO.sqlMapMetadataDoorY);
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 		<strong class="jxr_keyword">int</strong> doorY = 0;
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 		callStatement.setInt(1, idLevel);
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 		<strong class="jxr_keyword">if</strong> (callStatement.execute()) {
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 			<strong class="jxr_keyword">final</strong> ResultSet result = callStatement.getResultSet();
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 			<strong class="jxr_keyword">if</strong> (result.next()) {
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 				<strong class="jxr_keyword">if</strong> (result.first()) {
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 					doorY = result.getInt(1);
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 				}
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 			}
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 			result.close();
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 		}
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 		<strong class="jxr_keyword">return</strong> doorY;
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 	}
<a class="jxr_linenumber" name="L144" href="#L144">144</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2019. All rights reserved.</div>
</body>
</html>
